# GoogleChartLegendPositionType Class Reference

Inheritance diagram for GoogleChartLegendPositionType:
[legend]

List of all members.

## Public Member Functions

| toString ()

## Static Public Member Functions

static | create ($id)

## Public Attributes

const | BOTTOM = 0x1
const | TOP = 0x2
const | LEFT = 0x3
const | RIGHT = 0x4

## Protected Attributes

| $names

## Private Attributes

| $paramName = 'chdlp'

## Detailed Description

Definition at line 15 of file GoogleChartLegendPositionType.class.php.

## Member Function Documentation

static GoogleChartLegendPositionType::create | ( | $ | id | ) | `[static]`

Returns:
  GoogleChartLegendPositionType

Definition at line 34 of file GoogleChartLegendPositionType.class.php.

References IdentifiableObject::$id.

Referenced by GoogleLineChart::__construct().

GoogleChartLegendPositionType::toString | ( |  | ) |

Reimplemented from Enumeration.

Definition at line 39 of file GoogleChartLegendPositionType.class.php.

## Member Data Documentation

GoogleChartLegendPositionType::$names`[protected]`

Initial value:

     array(
                self::BOTTOM    => 'b',
                self::TOP       => 't',
                self::LEFT      => 'l',
                self::RIGHT     => 'r'
            )

Reimplemented from Enumeration.

Definition at line 22 of file GoogleChartLegendPositionType.class.php.

GoogleChartLegendPositionType::$paramName = 'chdlp'`[private]`

Definition at line 29 of file GoogleChartLegendPositionType.class.php.

const GoogleChartLegendPositionType::BOTTOM = 0x1

Definition at line 17 of file GoogleChartLegendPositionType.class.php.

Referenced by GoogleLineChart::__construct().

const GoogleChartLegendPositionType::LEFT = 0x3

Definition at line 19 of file GoogleChartLegendPositionType.class.php.

Referenced by GoogleChartLegend::__construct().

const GoogleChartLegendPositionType::RIGHT = 0x4

Definition at line 20 of file GoogleChartLegendPositionType.class.php.

const GoogleChartLegendPositionType::TOP = 0x2

Definition at line 18 of file GoogleChartLegendPositionType.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartLegendPositionType.class.php